<?php

function alerts_views_data()  {
  // Basic table information.

  // ----------------------------------------------------------------
  // node_example table
  //  New group within Views called 'Example'
  //  The group will appear in the UI in the dropdown tha allows you
  //  to narrow down which fields and filters are available.

  $data = array();
  $data['alerts']['table']['group']  = t('Alerts');

  // Let Views know that our example table joins to the 'node'
  // base table. This means it will be available when listing
  // nodes and automatically make its fields appear.
  //
  // We also show up for node revisions.
  $data['alerts']['table']['join'] = array(
    'node_revisions' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
    'node' => array(
      'left_field' => 'nid',
      'field' => 'nid',
    ),
  );

  // quantity
  $data['alerts']['alert_text'] = array(
    'title' => t('Alert text'),
    'help' => t('Text of the individual alert.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
     ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  // Color		
  $data['alerts']['alert_active'] = array(
    'title' => t('Alert active'),
    'help' => t('Boolean describing whether alert is active.'),

    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
     ),
     'filter' => array(
      'handler' => 'views_handler_filter_numeric',
     ),
     'sort' => array(
      'handler' => 'views_handler_sort',
     ),
  );

  return $data;
}